com.jscape.inet.ssh.protocol.v2.marshaling.algorithms

## Class Compressions

- java.lang.Object
- - com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.Compressions

-     public class Compressions
      extends java.lang.Object

  SSH compressions.
  Author:
    Alex Usun

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ComponentCompressionFactory.Entry[]` | `ALL`
    `static ComponentCompressionFactory.Entry` | `NONE`
    `static ComponentCompressionFactory.Entry` | `ZLIB` The 'zlib' compression algorithm.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentCompressionFactory` | `initAll(ComponentCompressionFactory factory)` Setups all implemented algorithms.
    `static ComponentCompressionFactory` | `initAllClient(ComponentCompressionFactory factory)`
    `static ComponentCompressionFactory` | `initOptional(ComponentCompressionFactory factory)` Setups optional algorithms.
    `static ComponentCompressionFactory` | `initRequired(ComponentCompressionFactory factory)` Setups required algorithms.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final ComponentCompressionFactory.Entry NONE

    - #### ZLIB

          public static final ComponentCompressionFactory.Entry ZLIB

      The 'zlib' compression algorithm.

    - #### ALL

          public static final ComponentCompressionFactory.Entry[] ALL

  - ### Method Detail

    - #### initRequired

          public static ComponentCompressionFactory initRequired(ComponentCompressionFactory factory)

      Setups required algorithms.
      Parameters:
        `factory` - a factory
      Returns:
        a factory

    - #### initOptional

          public static ComponentCompressionFactory initOptional(ComponentCompressionFactory factory)

      Setups optional algorithms.
      Parameters:
        `factory` - a factory
      Returns:
        a factory

    - #### initAll

          public static ComponentCompressionFactory initAll(ComponentCompressionFactory factory)

      Setups all implemented algorithms.
      Parameters:
        `factory` - a factory
      Returns:
        a factory

    - #### initAllClient

          public static ComponentCompressionFactory initAllClient(ComponentCompressionFactory factory)

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved